<?php

namespace Pinpoint\PackingSlips\Observer\Checkout;


/**
 * Class SubmitAllAfter
 * @package Pinpoint\PackingSlips\Observer\Checkout
 */
class SubmitAllAfter implements \Magento\Framework\Event\ObserverInterface
{
    /**
     * @var \Pinpoint\PackingSlips\Model\Pdf\GenerateSlip
     */
    protected $packingSlip;

    /**
     * SubmitAllAfter constructor.
     * @param \Pinpoint\PackingSlips\Model\Pdf\GenerateSlip $pickingSlip
     */
    public function __construct(
        \Pinpoint\PackingSlips\Model\Pdf\GenerateSlip $pickingSlip
    ) {
        $this->packingSlip = $pickingSlip;
    }

    /**
     * Execute observer
     *
     * @param \Magento\Framework\Event\Observer $observer
     * @return void
     */
    public function execute (
        \Magento\Framework\Event\Observer $observer
    ) {
        /** @var \Magento\Sales\Model\Order\Interceptor $order */
        $order = $observer->getOrder();
        $this->packingSlip->generateFromApi($order->getId());
    }
}
